Skip to main content
GET
/
v2
/
api
/
crm
/
deals
/
{id}
Get deal
curl --request GET \
  --url https://api.withallo.com/v2/api/crm/deals/{id} \
  --header 'Authorization: <api-key>'
{
  "data": {
    "id": "dea-def456",
    "name": "Enterprise Plan",
    "status": "negotiation",
    "amount": 50000,
    "currency": "USD",
    "closed_at": null,
    "company": {
      "id": "com-xyz789",
      "name": "Acme Corp"
    },
    "created_at": "2026-04-15T14:00:00",
    "updated_at": "2026-04-28T10:30:00"
  }
}

Documentation Index

Fetch the complete documentation index at: https://help.withallo.com/llms.txt

Use this file to discover all available pages before exploring further.

Required scope: CRM_READ

Response fields

FieldDescription
valueMonetary value of the deal
currencyISO 4217 currency code
close_dateClose date (null if not set)
companyAssociated company (id + name), null if not linked
personLinked person (id + name + last_name), null if no person is linked via integration data

Authorizations

Authorization
string
header
required

Path Parameters

id
string
required

Deal ID (e.g., "dea-def456")

Example:

"dea-def456"

Response

Deal details

data
object

A deal in the CRM